Module tdlight.api
Package it.tdlight.jni

# Class TdApi.OptionValue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.OptionValue

Direct Known Subclasses:
  `TdApi.OptionValueBoolean`, `TdApi.OptionValueEmpty`, `TdApi.OptionValueInteger`, `TdApi.OptionValueString`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.OptionValue extends TdApi.Object permits TdApi.OptionValueBoolean, TdApi.OptionValueEmpty, TdApi.OptionValueInteger, TdApi.OptionValueString
This class is an abstract base class. Represents the value of an option.

## Constructor Summary

Constructors
Constructor
Description
`OptionValue()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OptionValue

public OptionValue()
Default class constructor.